Freeciv-3.2: packet_ruleset_control Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_control Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | num_unit_classes
int | num_unit_types
int | num_impr_types
int | num_tech_classes
int | num_tech_types
int | num_extra_types
int | num_base_types
int | num_road_types
int | num_resource_types
int | num_goods_types
int | num_disaster_types
int | num_achievement_types
int | num_multipliers
int | num_styles
int | num_music_styles
int | government_count
int | nation_count
int | num_city_styles
int | terrain_count
int | num_specialist_types
int | num_nation_groups
int | num_nation_sets
char | preferred_tileset [MAX_LEN_NAME]
char | preferred_soundset [MAX_LEN_NAME]
char | preferred_musicset [MAX_LEN_NAME]
bool | popup_tech_help
char | name [MAX_LEN_NAME]
char | version [MAX_LEN_NAME]
char | alt_dir [MAX_LEN_NAME]
int | desc_length
int | num_counters

## Detailed Description

Definition at line 1448 of file packets_gen.h.

## Field Documentation

## ◆ alt_dir

char packet_ruleset_control::alt_dir[MAX_LEN_NAME]

Definition at line 1477 of file packets_gen.h.

Referenced by load_ruleset_game(), save_game_ruleset(), send_packet_ruleset_control_100(), and sg_save_savefile().

## ◆ desc_length

int packet_ruleset_control::desc_length

Definition at line 1478 of file packets_gen.h.

Referenced by handle_ruleset_control(), handle_ruleset_description_part(), load_ruleset_game(), send_packet_ruleset_control_100(), and send_ruleset_control().

## ◆ government_count

int packet_ruleset_control::government_count

Definition at line 1464 of file packets_gen.h.

Referenced by tab_gov::add_now(), game_defaults(), government_by_number(), government_count(), governments_alloc(), governments_free(), handle_ruleset_control(), and send_packet_ruleset_control_100().

## ◆ name

char packet_ruleset_control::name[MAX_LEN_NAME]

Definition at line 1475 of file packets_gen.h.

Referenced by api_methods_game_ruleset_name(), boot_help_texts(), load_ruleset_game(), main(), manual_extras(), manual_governments(), manual_improvements(), manual_techs(), manual_terrain(), manual_units(), tab_misc::refresh(), save_game_ruleset(), tab_misc::save_now(), and send_packet_ruleset_control_100().

## ◆ nation_count

int packet_ruleset_control::nation_count

Definition at line 1465 of file packets_gen.h.

Referenced by game_defaults(), handle_ruleset_control(), load_nation_names(), nation_by_number(), nation_count(), nations_alloc(), nations_free(), tab_misc::refresh_stats(), save_nation(), send_packet_ruleset_control_100(), and universal_value_initial().

## ◆ num_achievement_types

int packet_ruleset_control::num_achievement_types

Definition at line 1460 of file packets_gen.h.

Referenced by achievement_by_number(), tab_achievement::add_now(), game_defaults(), handle_achievement_info(), load_game_names(), send_packet_ruleset_control_100(), and universal_value_initial().

## ◆ num_base_types

int packet_ruleset_control::num_base_types

Definition at line 1455 of file packets_gen.h.

Referenced by base_count(), game_defaults(), load_ruleset_terrain(), load_terrain_names(), send_packet_ruleset_control_100(), and sg_load_savefile().

## ◆ num_city_styles

int packet_ruleset_control::num_city_styles

Definition at line 1466 of file packets_gen.h.

Referenced by basic_city_style_for_style(), city_style(), city_style_by_rule_name(), city_style_by_translated_name(), city_styles_alloc(), city_styles_free(), game_defaults(), handle_ruleset_city(), handle_ruleset_control(), is_universal_needed(), load_city_sprite(), load_ruleset_styles(), sanity_check_ruleset_data(), save_styles_ruleset(), send_packet_ruleset_control_100(), send_ruleset_cities(), tileset_ruleset_reset(), tileset_setup_city_tiles(), and tilespec_reread().

## ◆ num_counters

int packet_ruleset_control::num_counters

Definition at line 1479 of file packets_gen.h.

Referenced by tab_counter::add_now(), boot_help_texts(), counter_by_id(), counter_by_rule_name(), counter_by_translated_name(), counters_free(), counters_init(), load_game_names(), and send_packet_ruleset_control_100().

## ◆ num_disaster_types

int packet_ruleset_control::num_disaster_types

Definition at line 1459 of file packets_gen.h.

Referenced by disaster_by_number(), disaster_count(), game_defaults(), load_ruleset_game(), tab_misc::refresh_stats(), and send_packet_ruleset_control_100().

## ◆ num_extra_types

int packet_ruleset_control::num_extra_types

Definition at line 1454 of file packets_gen.h.

Referenced by tab_extras::add_now(), extra_count(), extras_free(), fill_basic_base_sprite_array(), fill_basic_road_sprite_array(), handle_edit_tile_extra(), handle_unit_change_activity(), load_terrain_names(), send_packet_ruleset_control_100(), send_ruleset_terrain(), sg_load_savefile(), sg_load_savefile(), sg_save_map_tiles_extras(), sg_save_player_vision(), sg_save_savefile(), unit_order_list_is_sane(), and universal_value_initial().

## ◆ num_goods_types

int packet_ruleset_control::num_goods_types

Definition at line 1458 of file packets_gen.h.

Referenced by tab_good::add_now(), tab_gov::add_now(), goods_by_number(), load_game_names(), send_packet_ruleset_control_100(), and universal_value_initial().

## ◆ num_impr_types

int packet_ruleset_control::num_impr_types

Definition at line 1451 of file packets_gen.h.

Referenced by tab_building::add_now2(), game_defaults(), improvement_array_first(), improvement_array_last(), improvement_count(), load_building_names(), send_packet_ruleset_control_100(), and universal_value_initial().

## ◆ num_multipliers

int packet_ruleset_control::num_multipliers

Definition at line 1461 of file packets_gen.h.

Referenced by tab_multiplier::add_now(), handle_player_info(), load_government_names(), multiplier_by_number(), multiplier_count(), and send_packet_ruleset_control_100().

## ◆ num_music_styles

int packet_ruleset_control::num_music_styles

Definition at line 1463 of file packets_gen.h.

Referenced by game_defaults(), handle_ruleset_control(), handle_ruleset_music(), load_ruleset_styles(), music_style_by_number(), and send_packet_ruleset_control_100().

## ◆ num_nation_groups

int packet_ruleset_control::num_nation_groups

Definition at line 1469 of file packets_gen.h.

Referenced by game_defaults(), load_nation_names(), nation_group_by_number(), nation_group_new(), and send_packet_ruleset_control_100().

## ◆ num_nation_sets

int packet_ruleset_control::num_nation_sets

Definition at line 1470 of file packets_gen.h.

Referenced by game_defaults(), load_ruleset_nations(), nation_set_by_number(), nation_set_new(), and send_packet_ruleset_control_100().

## ◆ num_resource_types

int packet_ruleset_control::num_resource_types

Definition at line 1457 of file packets_gen.h.

Referenced by editor_tool_is_usable(), game_defaults(), load_ruleset_terrain(), load_terrain_names(), tab_misc::refresh_stats(), and send_packet_ruleset_control_100().

## ◆ num_road_types

int packet_ruleset_control::num_road_types

Definition at line 1456 of file packets_gen.h.

Referenced by game_defaults(), load_ruleset_terrain(), load_terrain_names(), manual_terrain(), road_count(), send_packet_ruleset_control_100(), and sg_load_savefile().

## ◆ num_specialist_types

int packet_ruleset_control::num_specialist_types

Definition at line 1468 of file packets_gen.h.

Referenced by game_defaults(), load_ruleset_cities(), send_packet_ruleset_control_100(), sg_load_savefile(), sg_load_savefile(), specialist_by_number(), specialist_count(), and universal_value_initial().

## ◆ num_styles

int packet_ruleset_control::num_styles

Definition at line 1462 of file packets_gen.h.

Referenced by game_defaults(), handle_nation_select_req(), handle_ruleset_control(), load_style_names(), send_packet_ruleset_control_100(), style_by_number(), style_count(), and universal_value_initial().

## ◆ num_tech_classes

int packet_ruleset_control::num_tech_classes

Definition at line 1452 of file packets_gen.h.

Referenced by handle_ruleset_tech(), helptext_advance(), load_ruleset_techs(), load_tech_names(), save_techs_ruleset(), send_packet_ruleset_control_100(), tech_class_by_number(), and tech_class_by_rule_name().

## ◆ num_tech_types

int packet_ruleset_control::num_tech_types

Definition at line 1453 of file packets_gen.h.

Referenced by tab_tech::add_now(), advance_array_last(), advance_by_number(), advance_count_real(), game_defaults(), load_tech_names(), real_science_report_dialog_update(), research_get_reachable_rreqs(), send_packet_ruleset_control_100(), sg_save_game(), sg_save_researches(), sg_save_savefile(), and universal_value_initial().

## ◆ num_unit_classes

int packet_ruleset_control::num_unit_classes

Definition at line 1449 of file packets_gen.h.

Referenced by edit_extra::closeEvent(), edit_terrain::closeEvent(), edit_extra::edit_extra(), edit_terrain::edit_terrain(), game_defaults(), load_unit_names(), send_packet_ruleset_control_100(), uclass_by_number(), uclass_count(), unit_class_array_first(), unit_class_array_last(), and universal_value_initial().

## ◆ num_unit_types

int packet_ruleset_control::num_unit_types

Definition at line 1450 of file packets_gen.h.

Referenced by tab_unit::add_now(), game_defaults(), load_unit_names(), sanity_check_ruleset_data(), send_packet_ruleset_control_100(), unit_type_array_first(), unit_type_array_last(), universal_value_initial(), utype_by_number(), and utype_count().

## ◆ popup_tech_help

bool packet_ruleset_control::popup_tech_help

Definition at line 1474 of file packets_gen.h.

Referenced by load_ruleset_game(), save_game_ruleset(), send_packet_ruleset_control_100(), and show_tech_gained_dialog().

## ◆ preferred_musicset

char packet_ruleset_control::preferred_musicset[MAX_LEN_NAME]

Definition at line 1473 of file packets_gen.h.

Referenced by game_defaults(), handle_ruleset_control(), load_ruleset_game(), musicset_suggestion_callback(), musicset_suggestion_response(), popup_musicset_suggestion_dialog(), save_game_ruleset(), and send_packet_ruleset_control_100().

## ◆ preferred_soundset

char packet_ruleset_control::preferred_soundset[MAX_LEN_NAME]

Definition at line 1472 of file packets_gen.h.

Referenced by game_defaults(), handle_ruleset_control(), load_ruleset_game(), popup_soundset_suggestion_dialog(), save_game_ruleset(), send_packet_ruleset_control_100(), soundset_suggestion_callback(), and soundset_suggestion_response().

## ◆ preferred_tileset

char packet_ruleset_control::preferred_tileset[MAX_LEN_NAME]

Definition at line 1471 of file packets_gen.h.

Referenced by game_defaults(), handle_ruleset_control(), handle_set_topology(), load_ruleset_game(), popup_tileset_suggestion_dialog(), save_game_ruleset(), send_packet_ruleset_control_100(), tileset_suggestion_callback(), and tileset_suggestion_response().

## ◆ terrain_count

int packet_ruleset_control::terrain_count

Definition at line 1467 of file packets_gen.h.

Referenced by tab_terrains::add_now(), game_defaults(), load_terrain_names(), send_packet_ruleset_control_100(), terrain_array_first(), terrain_array_last(), terrain_by_number(), and terrain_count().

## ◆ version

char packet_ruleset_control::version[MAX_LEN_NAME]

Definition at line 1476 of file packets_gen.h.

Referenced by boot_help_texts(), load_ruleset_game(), tab_misc::refresh(), save_game_ruleset(), tab_misc::save_now(), send_packet_ruleset_control_100(), and sg_save_savefile().